<?php
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function moment_widgets_init() {
    register_sidebar( array(
        'name'          => esc_html__( 'Sidebar', 'moment' ),
        'id'            => 'sidebar-1',
        'description'   => '',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Full-Width Widget Below Blog', 'moment' ),
        'id'            => 'full-width-blog',
        'description'   => '',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );

    $moment_get_all_options = moment_get_all_options(1);
    $moment_footer_widgets_number = $moment_get_all_options['moment-footer-sidebar-number'];

    if( $moment_footer_widgets_number > 0 ){
        register_sidebar(array(
            'name' => __('Footer Column One', 'moment'),
            'id' => 'footer-col-one',
            'description' => __('Displays items on footer section.','moment'),
            'before_widget' => '<aside id="%1$s" class="widget %2$s">',
            'after_widget' => '</aside>',
            'before_title'  => '<h1 class="widget-title">',
            'after_title'   => '</h1>',
        ));
        if( $moment_footer_widgets_number > 1 ){
            register_sidebar(array(
                'name' => __('Footer Column Two', 'moment'),
                'id' => 'footer-col-two',
                'description' => __('Displays items on footer section.','moment'),
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title'  => '<h1 class="widget-title">',
                'after_title'   => '</h1>',
            ));
        }
        if( $moment_footer_widgets_number > 2 ){
            register_sidebar(array(
                'name' => __('Footer Column Three', 'moment'),
                'id' => 'footer-col-three',
                'description' => __('Displays items on footer section.','moment'),
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title'  => '<h1 class="widget-title">',
                'after_title'   => '</h1>',
            ));
        }
        if( $moment_footer_widgets_number > 3 ){
            register_sidebar(array(
                'name' => __('Footer Column Four', 'moment'),
                'id' => 'footer-col-four',
                'description' => __('Displays items on footer section.','moment'),
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title'  => '<h1 class="widget-title">',
                'after_title'   => '</h1>',
            ));
        }
    }
}
add_action( 'widgets_init', 'moment_widgets_init' );
